# Add custom audience member Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-add-custom-audience-member Add a member to a Facebook custom audience Add a member to a Facebook custom audience ```http theme={null} PUT https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/{audienceId}/member ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters Custom audience identifier ## Body Account identifier Contact identifier Facebook ad account ID ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X PUT 'https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId/member' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "loc_abc123", "contactId": "contact_123", "fbAdAccountId": "act_123456" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId/member', { method: 'PUT', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "loc_abc123", "contactId": "contact_123", "fbAdAccountId": "act_123456"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'PUT', 'https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId/member', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "loc_abc123", "contactId": "contact_123", "fbAdAccountId": "act_123456"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'PUT', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'loc_abc123', 'contactId': 'contact_123', 'fbAdAccountId': 'act_123456'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Batch update audience members Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-batch-update-audience-members Add or remove members in bulk from a Facebook custom audience via CSV or smart lists Add or remove members in bulk from a Facebook custom audience via CSV or smart lists ```http theme={null} PUT https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/{audienceId}/member/batch ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters Custom audience identifier ## Body Account identifier CSV file path Batch operation type Smartlist IDs array Dynamic audience flag ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X PUT 'https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId/member/batch' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "loc_abc123", "csvPath": "/uploads/audience.csv", "operationType": "ADD", "smartlistIds": [ "list_1", "list_2" ], "dynamicAudience": "true" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId/member/batch', { method: 'PUT', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "loc_abc123", "csvPath": "/uploads/audience.csv", "operationType": "ADD", "smartlistIds": ["list_1", "list_2"], "dynamicAudience": "true"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'PUT', 'https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId/member/batch', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "loc_abc123", "csvPath": "/uploads/audience.csv", "operationType": "ADD", "smartlistIds": ["list_1", "list_2"], "dynamicAudience": "true"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'PUT', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'loc_abc123', 'csvPath': '/uploads/audience.csv', 'operationType': 'ADD', 'smartlistIds': ['list_1', 'list_2'], 'dynamicAudience': 'true'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Create conversation form Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-create-conversation-form Create a new Facebook conversation lead form Create a new Facebook conversation lead form ```http theme={null} POST https://services.leadconnectorhq.com/ad-publishing/facebook/conversation-forms ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Body Account identifier Conversation form name Welcome message text Quick-reply questions shown in the welcome message of the conversation form Question title text Auto-response message ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/facebook/conversation-forms' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "loc_abc123", "name": "Welcome Form", "text": "Hi! How can we help?", "questions": [ { "question": "How can we help?", "response": "Thanks for reaching out! A team member will assist you shortly." }, { "question": "I want to learn more", "response": "Great! Here is a link to our services." } ] }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/conversation-forms', { method: 'POST', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "loc_abc123", "name": "Welcome Form", "text": "Hi! How can we help?", "questions": [{"question": "How can we help?", "response": "Thanks for reaching out! A team member will assist you shortly."}, {"question": "I want to learn more", "response": "Great! Here is a link to our services."}]}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'POST', 'https://services.leadconnectorhq.com/ad-publishing/facebook/conversation-forms', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "loc_abc123", "name": "Welcome Form", "text": "Hi! How can we help?", "questions": [{"question": "How can we help?", "response": "Thanks for reaching out! A team member will assist you shortly."}, {"question": "I want to learn more", "response": "Great! Here is a link to our services."}]}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'loc_abc123', 'name': 'Welcome Form', 'text': 'Hi! How can we help?', 'questions': [{'question': 'How can we help?', 'response': 'Thanks for reaching out! A team member will assist you shortly.'}, {'question': 'I want to learn more', 'response': 'Great! Here is a link to our services.'}]}), ]); $data = json_decode(curl_exec($ch), true); ``` # Create Facebook integration Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-create-integration Create a Facebook ad integration for a account with page and ad account Create a Facebook ad integration for a account with page and ad account ```http theme={null} POST https://services.leadconnectorhq.com/ad-publishing/facebook/integration ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Body Account identifier Facebook page ID Ad account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/facebook/integration' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "loc_abc123", "pageId": "123456789", "adAccountId": "act_123456" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/integration', { method: 'POST', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "loc_abc123", "pageId": "123456789", "adAccountId": "act_123456"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'POST', 'https://services.leadconnectorhq.com/ad-publishing/facebook/integration', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "loc_abc123", "pageId": "123456789", "adAccountId": "act_123456"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'loc_abc123', 'pageId': '123456789', 'adAccountId': 'act_123456'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Create page lead form Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-create-page-lead-form Create a new lead gen form on a Facebook page Create a new lead gen form on a Facebook page ```http theme={null} POST https://services.leadconnectorhq.com/ad-publishing/facebook/page/{pageId}/forms ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters Facebook page identifier ## Body Lead form type Posibles valores: 'MORE\_VOLUME', 'HIGHER\_INTENT' Lead form name Account identifier Greeting card config List of questions displayed on the lead form Question label text shown to the user Question key Question input type — use a prefilled type for standard fields or CUSTOM / SHORT\_ANSWER for freeform questions Posibles valores: 'CUSTOM', 'CITY', 'COMPANY\_NAME', 'COUNTRY', 'DATE\_OF\_BIRTH', 'EMAIL', 'FIRST\_NAME', 'FULL\_NAME', 'GENDER', 'JOB\_TITLE', 'LAST\_NAME', 'MARITAL\_STATUS', 'MILITARY\_STATUS', 'PHONE', 'POST\_CODE', 'RELATIONSHIP\_STATUS', 'STATE', 'STREET\_ADDRESS', 'WORK\_EMAIL', 'WORK\_PHONE\_NUMBER', 'ZIP', 'SHORT\_ANSWER' Answer options for multiple-choice questions (only applies to CUSTOM type) Option key Option value Question page headline Privacy policy URL Privacy policy text Custom disclaimer config Thank you page config ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/facebook/page/YOUR_pageId/forms' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "type": "MORE_VOLUME", "name": "Contact Form", "locationId": "loc_abc123", "questions": [ { "key": "full_name", "type": "FULL_NAME", "options": [] }, { "key": "email_address", "type": "EMAIL", "options": [] }, { "key": "are_you_interested", "label": "Are you interested?", "type": "CUSTOM", "options": [ { "value": "Yes" }, { "value": "No" } ] } ], "questionPageHeadline": "Tell us about yourself", "privacyPolicyLink": "https://example.com/privacy", "privacyPolicyText": "We respect your privacy" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/page/YOUR_pageId/forms', { method: 'POST', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"type": "MORE_VOLUME", "name": "Contact Form", "locationId": "loc_abc123", "questions": [{"key": "full_name", "type": "FULL_NAME", "options": []}, {"key": "email_address", "type": "EMAIL", "options": []}, {"key": "are_you_interested", "label": "Are you interested?", "type": "CUSTOM", "options": [{"value": "Yes"}, {"value": "No"}]}], "questionPageHeadline": "Tell us about yourself", "privacyPolicyLink": "https://example.com/privacy", "privacyPolicyText": "We respect your privacy"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'POST', 'https://services.leadconnectorhq.com/ad-publishing/facebook/page/YOUR_pageId/forms', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"type": "MORE_VOLUME", "name": "Contact Form", "locationId": "loc_abc123", "questions": [{"key": "full_name", "type": "FULL_NAME", "options": []}, {"key": "email_address", "type": "EMAIL", "options": []}, {"key": "are_you_interested", "label": "Are you interested?", "type": "CUSTOM", "options": [{"value": "Yes"}, {"value": "No"}]}], "questionPageHeadline": "Tell us about yourself", "privacyPolicyLink": "https://example.com/privacy", "privacyPolicyText": "We respect your privacy"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'type': 'MORE_VOLUME', 'name': 'Contact Form', 'locationId': 'loc_abc123', 'questions': [{'key': 'full_name', 'type': 'FULL_NAME', 'options': []}, {'key': 'email_address', 'type': 'EMAIL', 'options': []}, {'key': 'are_you_interested', 'label': 'Are you interested?', 'type': 'CUSTOM', 'options': [{'value': 'Yes'}, {'value': 'No'}]}], 'questionPageHeadline': 'Tell us about yourself', 'privacyPolicyLink': 'https://example.com/privacy', 'privacyPolicyText': 'We respect your privacy'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Delete ad Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-delete-ad Delete a Facebook ad by ID Delete a Facebook ad by ID ```http theme={null} DELETE https://services.leadconnectorhq.com/ad-publishing/facebook/ads/{adId} ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters ## Body Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X DELETE 'https://services.leadconnectorhq.com/ad-publishing/facebook/ads/YOUR_adId' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "HChooFuiyPpVYzeJ4HMe" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/ads/YOUR_adId', { method: 'DELETE', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "HChooFuiyPpVYzeJ4HMe"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'DELETE', 'https://services.leadconnectorhq.com/ad-publishing/facebook/ads/YOUR_adId', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "HChooFuiyPpVYzeJ4HMe"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'DELETE', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'HChooFuiyPpVYzeJ4HMe'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Delete ad account Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-delete-ad-account Remove a Facebook ad account connection from a account Remove a Facebook ad account connection from a account ```http theme={null} DELETE https://services.leadconnectorhq.com/ad-publishing/facebook/ad-accounts/{adAccountId} ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters Ad account identifier ## Body Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X DELETE 'https://services.leadconnectorhq.com/ad-publishing/facebook/ad-accounts/YOUR_adAccountId' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "HChooFuiyPpVYzeJ4HMe" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/ad-accounts/YOUR_adAccountId', { method: 'DELETE', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "HChooFuiyPpVYzeJ4HMe"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'DELETE', 'https://services.leadconnectorhq.com/ad-publishing/facebook/ad-accounts/YOUR_adAccountId', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "HChooFuiyPpVYzeJ4HMe"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'DELETE', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'HChooFuiyPpVYzeJ4HMe'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Delete ad set Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-delete-adset Delete a Facebook ad set by ID Delete a Facebook ad set by ID ```http theme={null} DELETE https://services.leadconnectorhq.com/ad-publishing/facebook/adsets/{adsetId} ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters ## Body Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X DELETE 'https://services.leadconnectorhq.com/ad-publishing/facebook/adsets/YOUR_adsetId' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "HChooFuiyPpVYzeJ4HMe" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/adsets/YOUR_adsetId', { method: 'DELETE', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "HChooFuiyPpVYzeJ4HMe"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'DELETE', 'https://services.leadconnectorhq.com/ad-publishing/facebook/adsets/YOUR_adsetId', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "HChooFuiyPpVYzeJ4HMe"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'DELETE', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'HChooFuiyPpVYzeJ4HMe'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Delete campaign Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-delete-campaign Delete a Facebook campaign by ID Delete a Facebook campaign by ID ```http theme={null} DELETE https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/{campaignId} ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters ## Body Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X DELETE 'https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/YOUR_campaignId' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "HChooFuiyPpVYzeJ4HMe" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/YOUR_campaignId', { method: 'DELETE', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "HChooFuiyPpVYzeJ4HMe"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'DELETE', 'https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/YOUR_campaignId', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "HChooFuiyPpVYzeJ4HMe"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'DELETE', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'HChooFuiyPpVYzeJ4HMe'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Delete custom audience Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-delete-custom-audience Delete a Facebook custom audience by ID Delete a Facebook custom audience by ID ```http theme={null} DELETE https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/{audienceId} ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters Custom audience identifier ## Query parameters Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X DELETE 'https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId', { method: 'DELETE', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'DELETE', 'https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'DELETE', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Delete Facebook integration Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-delete-integration Remove the Facebook ad integration from a account Remove the Facebook ad integration from a account ```http theme={null} DELETE https://services.leadconnectorhq.com/ad-publishing/facebook/integration ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Body Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X DELETE 'https://services.leadconnectorhq.com/ad-publishing/facebook/integration' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "HChooFuiyPpVYzeJ4HMe" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/integration', { method: 'DELETE', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "HChooFuiyPpVYzeJ4HMe"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'DELETE', 'https://services.leadconnectorhq.com/ad-publishing/facebook/integration', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "HChooFuiyPpVYzeJ4HMe"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'DELETE', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'HChooFuiyPpVYzeJ4HMe'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Delete page connection Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-delete-page Remove a Facebook page connection from a account Remove a Facebook page connection from a account ```http theme={null} DELETE https://services.leadconnectorhq.com/ad-publishing/facebook/page ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Query parameters Account identifier Facebook page ID ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X DELETE 'https://services.leadconnectorhq.com/ad-publishing/facebook/page' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/page', { method: 'DELETE', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'DELETE', 'https://services.leadconnectorhq.com/ad-publishing/facebook/page', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'DELETE', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Duplicate ad Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-duplicate-ad Duplicate an existing Facebook ad Duplicate an existing Facebook ad ```http theme={null} POST https://services.leadconnectorhq.com/ad-publishing/facebook/ads/{adId}/duplicate ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/facebook/ads/YOUR_adId/duplicate' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/ads/YOUR_adId/duplicate', { method: 'POST', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'POST', 'https://services.leadconnectorhq.com/ad-publishing/facebook/ads/YOUR_adId/duplicate', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Duplicate ad set Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-duplicate-adset Duplicate an existing Facebook ad set Duplicate an existing Facebook ad set ```http theme={null} POST https://services.leadconnectorhq.com/ad-publishing/facebook/adsets/{adsetId}/duplicate ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/facebook/adsets/YOUR_adsetId/duplicate' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/adsets/YOUR_adsetId/duplicate', { method: 'POST', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'POST', 'https://services.leadconnectorhq.com/ad-publishing/facebook/adsets/YOUR_adsetId/duplicate', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Duplicate campaign Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-duplicate-campaign Duplicate an existing Facebook campaign Duplicate an existing Facebook campaign ```http theme={null} POST https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/{campaignId}/duplicate ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters ## Body Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/YOUR_campaignId/duplicate' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "HChooFuiyPpVYzeJ4HMe" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/YOUR_campaignId/duplicate', { method: 'POST', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "HChooFuiyPpVYzeJ4HMe"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'POST', 'https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/YOUR_campaignId/duplicate', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "HChooFuiyPpVYzeJ4HMe"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'HChooFuiyPpVYzeJ4HMe'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Get ad account details Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-get-ad-account Retrieve details of a specific Facebook ad account Retrieve details of a specific Facebook ad account ```http theme={null} GET https://services.leadconnectorhq.com/ad-publishing/facebook/ad-accounts/{adAccountId} ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters Ad account identifier ## Query parameters Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/ad-accounts/YOUR_adAccountId' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/ad-accounts/YOUR_adAccountId', { method: 'GET', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'GET', 'https://services.leadconnectorhq.com/ad-publishing/facebook/ad-accounts/YOUR_adAccountId', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Get ad accounts Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-get-ad-accounts Retrieve Facebook ad accounts available for the connected user Retrieve Facebook ad accounts available for the connected user ```http theme={null} GET https://services.leadconnectorhq.com/ad-publishing/facebook/ad-accounts ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Query parameters Account identifier Account source type Pagination cursor Fetch all accounts Results page limit ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/ad-accounts' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/ad-accounts', { method: 'GET', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'GET', 'https://services.leadconnectorhq.com/ad-publishing/facebook/ad-accounts', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Get campaign with linked entities Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-get-campaign Retrieve a Facebook campaign with its linked adsets and ads Retrieve a Facebook campaign with its linked adsets and ads ```http theme={null} GET https://services.leadconnectorhq.com/ad-publishing/facebook/campaign/{campaignId} ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters Campaign identifier ## Query parameters Account identifier Comma-separated field names Campaign data source ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/campaign/YOUR_campaignId' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/campaign/YOUR_campaignId', { method: 'GET', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'GET', 'https://services.leadconnectorhq.com/ad-publishing/facebook/campaign/YOUR_campaignId', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Get campaign reporting Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-get-campaign-reporting Retrieve reporting metrics for a specific Facebook campaign Retrieve reporting metrics for a specific Facebook campaign ```http theme={null} GET https://services.leadconnectorhq.com/ad-publishing/facebook/reporting/campaign/{campaignId} ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters Campaign identifier ## Query parameters Account identifier Report start date Report end date ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/reporting/campaign/YOUR_campaignId' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/reporting/campaign/YOUR_campaignId', { method: 'GET', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'GET', 'https://services.leadconnectorhq.com/ad-publishing/facebook/reporting/campaign/YOUR_campaignId', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Get conversation forms Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-get-conversation-forms Retrieve Facebook conversation lead forms for a account Retrieve Facebook conversation lead forms for a account ```http theme={null} GET https://services.leadconnectorhq.com/ad-publishing/facebook/conversation-forms ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Query parameters Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/conversation-forms' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/conversation-forms', { method: 'GET', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'GET', 'https://services.leadconnectorhq.com/ad-publishing/facebook/conversation-forms', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Get current Facebook user Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-get-current-user Retrieve the authenticated Facebook user profile for a account Retrieve the authenticated Facebook user profile for a account ```http theme={null} GET https://services.leadconnectorhq.com/ad-publishing/facebook/me ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Query parameters Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/me' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/me', { method: 'GET', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'GET', 'https://services.leadconnectorhq.com/ad-publishing/facebook/me', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Get custom audience by ID Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-get-custom-audience-by-id Retrieve a specific Facebook custom audience by its ID Retrieve a specific Facebook custom audience by its ID ```http theme={null} GET https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/{audienceId} ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters Custom audience identifier ## Query parameters Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId', { method: 'GET', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'GET', 'https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Get custom audiences Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-get-custom-audiences Retrieve Facebook custom audiences for a account Retrieve Facebook custom audiences for a account ```http theme={null} GET https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Query parameters Account identifier Audience list type Audience data source Ad account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience', { method: 'GET', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'GET', 'https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Get entities Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-get-entity Retrieve Facebook campaigns, adsets, or ads based on entity type Retrieve Facebook campaigns, adsets, or ads based on entity type ```http theme={null} GET https://services.leadconnectorhq.com/ad-publishing/facebook/entity ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Query parameters Account identifier Integration source type Pagination cursor Fetch all entities Campaign identifier Ad set identifier Entity type to fetch Search identifier Selected ad account ID ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/entity' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/entity', { method: 'GET', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'GET', 'https://services.leadconnectorhq.com/ad-publishing/facebook/entity', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Get Instagram accounts for page Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-get-instagram-accounts Retrieve Instagram accounts linked to a specific Facebook page Retrieve Instagram accounts linked to a specific Facebook page ```http theme={null} GET https://services.leadconnectorhq.com/ad-publishing/facebook/page/{pageId}/instagram ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters Facebook page identifier ## Query parameters Account identifier Integration type ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/page/YOUR_pageId/instagram' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/page/YOUR_pageId/instagram', { method: 'GET', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'GET', 'https://services.leadconnectorhq.com/ad-publishing/facebook/page/YOUR_pageId/instagram', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Get Facebook integration Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-get-integration Retrieve the Facebook ad integration details for a account Retrieve the Facebook ad integration details for a account ```http theme={null} GET https://services.leadconnectorhq.com/ad-publishing/facebook/integration ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Query parameters Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/integration' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/integration', { method: 'GET', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'GET', 'https://services.leadconnectorhq.com/ad-publishing/facebook/integration', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Get lead form by ID Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-get-lead-form Retrieve a specific Facebook lead form by its ID Retrieve a specific Facebook lead form by its ID ```http theme={null} GET https://services.leadconnectorhq.com/ad-publishing/facebook/lead-form/{leadFormId} ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters Lead form identifier ## Query parameters Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/lead-form/YOUR_leadFormId' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/lead-form/YOUR_leadFormId', { method: 'GET', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'GET', 'https://services.leadconnectorhq.com/ad-publishing/facebook/lead-form/YOUR_leadFormId', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Get page lead forms Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-get-page-lead-forms Retrieve lead gen forms for a specific Facebook page Retrieve lead gen forms for a specific Facebook page ```http theme={null} GET https://services.leadconnectorhq.com/ad-publishing/facebook/page/{pageId}/forms ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters Facebook page identifier ## Query parameters Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/page/YOUR_pageId/forms' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/page/YOUR_pageId/forms', { method: 'GET', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'GET', 'https://services.leadconnectorhq.com/ad-publishing/facebook/page/YOUR_pageId/forms', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Get Facebook pages Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-get-pages Retrieve Facebook pages associated with the connected account Retrieve Facebook pages associated with the connected account ```http theme={null} GET https://services.leadconnectorhq.com/ad-publishing/facebook/pages ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Query parameters Account identifier Fetch existing pages flag ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/pages' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/pages', { method: 'GET', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'GET', 'https://services.leadconnectorhq.com/ad-publishing/facebook/pages', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Get conversion pixels Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-get-pixels Retrieve Facebook conversion pixels for a account Retrieve Facebook conversion pixels for a account ```http theme={null} GET https://services.leadconnectorhq.com/ad-publishing/facebook/pixels ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Query parameters Account identifier Channel type Facebook page ID Instagram user ID ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/pixels' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/pixels', { method: 'GET', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'GET', 'https://services.leadconnectorhq.com/ad-publishing/facebook/pixels', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Get reporting data Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-get-reporting Retrieve aggregated Facebook ad reporting metrics for a account Retrieve aggregated Facebook ad reporting metrics for a account ```http theme={null} GET https://services.leadconnectorhq.com/ad-publishing/facebook/reporting ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Query parameters Account identifier Time grouping interval Report start date Report end date Integration source type Comma-separated reporting fields ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/reporting' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/reporting', { method: 'GET', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'GET', 'https://services.leadconnectorhq.com/ad-publishing/facebook/reporting', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Get reporting list Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-get-reporting-list Retrieve a list of Facebook campaigns, adsets, or ads with reporting data Retrieve a list of Facebook campaigns, adsets, or ads with reporting data ```http theme={null} GET https://services.leadconnectorhq.com/ad-publishing/facebook/reporting/list ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Query parameters Account identifier Reporting list type Report start date Report end date Campaign identifier Integration source type ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/reporting/list' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/reporting/list', { method: 'GET', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'GET', 'https://services.leadconnectorhq.com/ad-publishing/facebook/reporting/list', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Pause ad Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-pause-ad Pause a running Facebook ad Pause a running Facebook ad ```http theme={null} POST https://services.leadconnectorhq.com/ad-publishing/facebook/ads/{adId}/pause ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters ## Body Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/facebook/ads/YOUR_adId/pause' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "HChooFuiyPpVYzeJ4HMe" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/ads/YOUR_adId/pause', { method: 'POST', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "HChooFuiyPpVYzeJ4HMe"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'POST', 'https://services.leadconnectorhq.com/ad-publishing/facebook/ads/YOUR_adId/pause', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "HChooFuiyPpVYzeJ4HMe"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'HChooFuiyPpVYzeJ4HMe'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Pause ad set Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-pause-adset Pause a running Facebook ad set Pause a running Facebook ad set ```http theme={null} POST https://services.leadconnectorhq.com/ad-publishing/facebook/adsets/{adsetId}/pause ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters ## Body Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/facebook/adsets/YOUR_adsetId/pause' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "HChooFuiyPpVYzeJ4HMe" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/adsets/YOUR_adsetId/pause', { method: 'POST', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "HChooFuiyPpVYzeJ4HMe"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'POST', 'https://services.leadconnectorhq.com/ad-publishing/facebook/adsets/YOUR_adsetId/pause', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "HChooFuiyPpVYzeJ4HMe"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'HChooFuiyPpVYzeJ4HMe'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Pause campaign Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-pause-campaign Pause a running Facebook campaign Pause a running Facebook campaign ```http theme={null} POST https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/{campaignId}/pause ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters ## Body Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/YOUR_campaignId/pause' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "HChooFuiyPpVYzeJ4HMe" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/YOUR_campaignId/pause', { method: 'POST', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "HChooFuiyPpVYzeJ4HMe"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'POST', 'https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/YOUR_campaignId/pause', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "HChooFuiyPpVYzeJ4HMe"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'HChooFuiyPpVYzeJ4HMe'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Publish campaign Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-publish-campaign Publish a Facebook campaign and push it live to Facebook Publish a Facebook campaign and push it live to Facebook ```http theme={null} POST https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/{campaignId}/publish ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters Campaign identifier ## Body Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/YOUR_campaignId/publish' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "loc_abc123" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/YOUR_campaignId/publish', { method: 'POST', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "loc_abc123"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'POST', 'https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/YOUR_campaignId/publish', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "loc_abc123"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'loc_abc123'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Remove custom audience member Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-remove-custom-audience-member Remove a member from a Facebook custom audience Remove a member from a Facebook custom audience ```http theme={null} DELETE https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/{audienceId}/member ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters Custom audience identifier ## Body Account identifier Contact identifier Facebook ad account ID ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X DELETE 'https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId/member' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "loc_abc123", "contactId": "contact_123", "fbAdAccountId": "act_123456" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId/member', { method: 'DELETE', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "loc_abc123", "contactId": "contact_123", "fbAdAccountId": "act_123456"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'DELETE', 'https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId/member', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "loc_abc123", "contactId": "contact_123", "fbAdAccountId": "act_123456"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'DELETE', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'loc_abc123', 'contactId': 'contact_123', 'fbAdAccountId': 'act_123456'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Resume ad Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-resume-ad Resume a paused Facebook ad Resume a paused Facebook ad ```http theme={null} POST https://services.leadconnectorhq.com/ad-publishing/facebook/ads/{adId}/resume ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters ## Body Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/facebook/ads/YOUR_adId/resume' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "HChooFuiyPpVYzeJ4HMe" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/ads/YOUR_adId/resume', { method: 'POST', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "HChooFuiyPpVYzeJ4HMe"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'POST', 'https://services.leadconnectorhq.com/ad-publishing/facebook/ads/YOUR_adId/resume', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "HChooFuiyPpVYzeJ4HMe"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'HChooFuiyPpVYzeJ4HMe'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Resume ad set Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-resume-adset Resume a paused Facebook ad set Resume a paused Facebook ad set ```http theme={null} POST https://services.leadconnectorhq.com/ad-publishing/facebook/adsets/{adsetId}/resume ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters ## Body Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/facebook/adsets/YOUR_adsetId/resume' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "HChooFuiyPpVYzeJ4HMe" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/adsets/YOUR_adsetId/resume', { method: 'POST', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "HChooFuiyPpVYzeJ4HMe"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'POST', 'https://services.leadconnectorhq.com/ad-publishing/facebook/adsets/YOUR_adsetId/resume', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "HChooFuiyPpVYzeJ4HMe"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'HChooFuiyPpVYzeJ4HMe'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Resume campaign Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-resume-campaign Resume a paused Facebook campaign Resume a paused Facebook campaign ```http theme={null} POST https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/{campaignId}/resume ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters ## Body Account identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/YOUR_campaignId/resume' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "HChooFuiyPpVYzeJ4HMe" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/YOUR_campaignId/resume', { method: 'POST', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "HChooFuiyPpVYzeJ4HMe"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'POST', 'https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns/YOUR_campaignId/resume', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "HChooFuiyPpVYzeJ4HMe"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'HChooFuiyPpVYzeJ4HMe'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Search targeting options Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-search-targeting Search Facebook geo-accounts and interests for ad targeting Search Facebook geo-accounts and interests for ad targeting ```http theme={null} GET https://services.leadconnectorhq.com/ad-publishing/facebook/targeting/search ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Query parameters Targeting search type Search query string Specific search subtype ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X GET 'https://services.leadconnectorhq.com/ad-publishing/facebook/targeting/search' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/targeting/search', { method: 'GET', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', }, }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'GET', 'https://services.leadconnectorhq.com/ad-publishing/facebook/targeting/search', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', }, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'GET', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', ], ]); $data = json_decode(curl_exec($ch), true); ``` # Set default page Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-set-default-page Set the default Facebook page for a account Set the default Facebook page for a account ```http theme={null} PUT https://services.leadconnectorhq.com/ad-publishing/facebook/page/default ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Query parameters Account identifier ## Body Facebook page identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X PUT 'https://services.leadconnectorhq.com/ad-publishing/facebook/page/default' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "pageId": "103456789012345" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/page/default', { method: 'PUT', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"pageId": "103456789012345"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'PUT', 'https://services.leadconnectorhq.com/ad-publishing/facebook/page/default', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"pageId": "103456789012345"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'PUT', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'pageId': '103456789012345'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Update custom audience Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-update-custom-audience Update name or description of a Facebook custom audience Update name or description of a Facebook custom audience ```http theme={null} PUT https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/{audienceId} ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Path parameters Custom audience identifier ## Body Account identifier Audience name Audience description ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X PUT 'https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "HChooFuiyPpVYzeJ4HMe", "name": "My Custom Audience", "description": "Lookalike audience from website visitors" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId', { method: 'PUT', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "HChooFuiyPpVYzeJ4HMe", "name": "My Custom Audience", "description": "Lookalike audience from website visitors"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'PUT', 'https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "HChooFuiyPpVYzeJ4HMe", "name": "My Custom Audience", "description": "Lookalike audience from website visitors"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'PUT', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'HChooFuiyPpVYzeJ4HMe', 'name': 'My Custom Audience', 'description': 'Lookalike audience from website visitors'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Upsert ad Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-upsert-ad Create or update a Facebook ad (v2) Create or update a Facebook ad (v2) ```http theme={null} PUT https://services.leadconnectorhq.com/ad-publishing/facebook/ads-v2 ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Body Ad identifier Account identifier Ad name Ad primary text Ad headline text Ad description text Ad image URL Ad media type Posibles valores: 'SINGLE', 'CAROUSEL' Media items (images or videos) attached to the ad creative Media source URL Thumbnail URL (required when type is video) Selected poster index (required when type is video) Media content type Posibles valores: 'image', 'video' Media file name Media headline Media description Media destination link Enable multi-advertiser ads Parent campaign ID Parent ad set ID Call to action type Conversation form ID Destination link URL Destination form ID ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X PUT 'https://services.leadconnectorhq.com/ad-publishing/facebook/ads-v2' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "id": "ad_123", "locationId": "loc_abc123", "name": "My Ad Creative", "primaryText": "Check out our offer!", "headline": "Great Deal", "description": "Limited time offer", "imageUrl": "https://example.com/img.jpg", "mediaType": "SINGLE", "media": [ { "src": "https://example.com/image.jpg", "thumbnailUrl": "https://example.com/thumb.jpg", "selectedPoster": 0, "type": "IMAGE", "name": "ad_image.jpg" } ], "multiAdvertiserAds": false, "campaignId": "camp_123", "adsetId": "adset_123", "cta": "LEARN_MORE", "conversationFormId": "conv_123", "destinationLink": "https://example.com", "destinationFormId": "form_123" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/ads-v2', { method: 'PUT', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"id": "ad_123", "locationId": "loc_abc123", "name": "My Ad Creative", "primaryText": "Check out our offer!", "headline": "Great Deal", "description": "Limited time offer", "imageUrl": "https://example.com/img.jpg", "mediaType": "SINGLE", "media": [{"src": "https://example.com/image.jpg", "thumbnailUrl": "https://example.com/thumb.jpg", "selectedPoster": 0, "type": "IMAGE", "name": "ad_image.jpg"}], "multiAdvertiserAds": false, "campaignId": "camp_123", "adsetId": "adset_123", "cta": "LEARN_MORE", "conversationFormId": "conv_123", "destinationLink": "https://example.com", "destinationFormId": "form_123"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'PUT', 'https://services.leadconnectorhq.com/ad-publishing/facebook/ads-v2', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"id": "ad_123", "locationId": "loc_abc123", "name": "My Ad Creative", "primaryText": "Check out our offer!", "headline": "Great Deal", "description": "Limited time offer", "imageUrl": "https://example.com/img.jpg", "mediaType": "SINGLE", "media": [{"src": "https://example.com/image.jpg", "thumbnailUrl": "https://example.com/thumb.jpg", "selectedPoster": 0, "type": "IMAGE", "name": "ad_image.jpg"}], "multiAdvertiserAds": false, "campaignId": "camp_123", "adsetId": "adset_123", "cta": "LEARN_MORE", "conversationFormId": "conv_123", "destinationLink": "https://example.com", "destinationFormId": "form_123"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'PUT', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'id': 'ad_123', 'locationId': 'loc_abc123', 'name': 'My Ad Creative', 'primaryText': 'Check out our offer!', 'headline': 'Great Deal', 'description': 'Limited time offer', 'imageUrl': 'https://example.com/img.jpg', 'mediaType': 'SINGLE', 'media': [{'src': 'https://example.com/image.jpg', 'thumbnailUrl': 'https://example.com/thumb.jpg', 'selectedPoster': 0, 'type': 'IMAGE', 'name': 'ad_image.jpg'}], 'multiAdvertiserAds': false, 'campaignId': 'camp_123', 'adsetId': 'adset_123', 'cta': 'LEARN_MORE', 'conversationFormId': 'conv_123', 'destinationLink': 'https://example.com', 'destinationFormId': 'form_123'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Upsert adset Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-upsert-adset Create or update a Facebook ad set Create or update a Facebook ad set ```http theme={null} PUT https://services.leadconnectorhq.com/ad-publishing/facebook/adsets ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Body Ad set identifier Account identifier Ad set name Facebook page ID Instagram actor ID Messaging platforms Posibles valores: 'WHATSAPP', 'MESSENGER', 'INSTAGRAM\_DIRECT' WhatsApp phone number Targeting audience configuration including geo-accounts, locales, placements, and custom audiences Ad set budget config Conversion account Custom event type Conversion pixel ID Parent campaign ID ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X PUT 'https://services.leadconnectorhq.com/ad-publishing/facebook/adsets' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "id": "adset_123", "locationId": "loc_abc123", "name": "Targeting Group A", "pageId": "123456789", "instagramActorId": "ig_123", "messagingPlatforms": "WHATSAPP", "whatsappNumber": "+1234567890", "conversionLocation": "website", "customEventType": "Purchase", "pixelId": "px_123", "campaignId": "camp_123" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/adsets', { method: 'PUT', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"id": "adset_123", "locationId": "loc_abc123", "name": "Targeting Group A", "pageId": "123456789", "instagramActorId": "ig_123", "messagingPlatforms": "WHATSAPP", "whatsappNumber": "+1234567890", "conversionLocation": "website", "customEventType": "Purchase", "pixelId": "px_123", "campaignId": "camp_123"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'PUT', 'https://services.leadconnectorhq.com/ad-publishing/facebook/adsets', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"id": "adset_123", "locationId": "loc_abc123", "name": "Targeting Group A", "pageId": "123456789", "instagramActorId": "ig_123", "messagingPlatforms": "WHATSAPP", "whatsappNumber": "+1234567890", "conversionLocation": "website", "customEventType": "Purchase", "pixelId": "px_123", "campaignId": "camp_123"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'PUT', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'id': 'adset_123', 'locationId': 'loc_abc123', 'name': 'Targeting Group A', 'pageId': '123456789', 'instagramActorId': 'ig_123', 'messagingPlatforms': 'WHATSAPP', 'whatsappNumber': '+1234567890', 'conversionLocation': 'website', 'customEventType': 'Purchase', 'pixelId': 'px_123', 'campaignId': 'camp_123'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Upsert campaign Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-upsert-campaign Create or update a Facebook campaign Create or update a Facebook campaign ```http theme={null} PUT https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Body Campaign identifier Account identifier Campaign name Campaign objective Posibles valores: 'OUTCOME\_LEADS', 'OUTCOME\_TRAFFIC', 'OUTCOME\_ENGAGEMENT', 'OUTCOME\_SALES' Special ad categories Posibles valores: 'EMPLOYMENT', 'CREDIT', 'FINANCIAL\_PRODUCTS\_SERVICES', 'HOUSING', 'ISSUES\_ELECTIONS\_POLITICS', 'ONLINE\_GAMBLING\_AND\_GAMING', 'NONE' Campaign data source ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X PUT 'https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "id": "camp_123", "locationId": "loc_abc123", "name": "Summer Campaign", "objective": "LEAD_GENERATION", "specialAdCategories": "EMPLOYMENT", "source": "facebook" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns', { method: 'PUT', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"id": "camp_123", "locationId": "loc_abc123", "name": "Summer Campaign", "objective": "LEAD_GENERATION", "specialAdCategories": "EMPLOYMENT", "source": "facebook"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'PUT', 'https://services.leadconnectorhq.com/ad-publishing/facebook/campaigns', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"id": "camp_123", "locationId": "loc_abc123", "name": "Summer Campaign", "objective": "LEAD_GENERATION", "specialAdCategories": "EMPLOYMENT", "source": "facebook"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'PUT', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'id': 'camp_123', 'locationId': 'loc_abc123', 'name': 'Summer Campaign', 'objective': 'LEAD_GENERATION', 'specialAdCategories': 'EMPLOYMENT', 'source': 'facebook'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Upsert conversion pixel Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-fb-upsert-pixel Create or update a Facebook conversion pixel configuration Create or update a Facebook conversion pixel configuration ```http theme={null} PUT https://services.leadconnectorhq.com/ad-publishing/facebook/pixels ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Body Account identifier Conversion pixel ID Pixel name Instagram user ID Pixel event type ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X PUT 'https://services.leadconnectorhq.com/ad-publishing/facebook/pixels' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "loc_abc123", "conversionPixelId": "px_123", "name": "My Pixel", "igUserId": "ig_user_123", "type": "LEAD_EVENT" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/pixels', { method: 'PUT', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "loc_abc123", "conversionPixelId": "px_123", "name": "My Pixel", "igUserId": "ig_user_123", "type": "LEAD_EVENT"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'PUT', 'https://services.leadconnectorhq.com/ad-publishing/facebook/pixels', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "loc_abc123", "conversionPixelId": "px_123", "name": "My Pixel", "igUserId": "ig_user_123", "type": "LEAD_EVENT"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'PUT', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'loc_abc123', 'conversionPixelId': 'px_123', 'name': 'My Pixel', 'igUserId': 'ig_user_123', 'type': 'LEAD_EVENT'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Create Google integration Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-google-create-integration Create a Google Ads integration for a account Create a Google Ads integration for a account ```http theme={null} POST https://services.leadconnectorhq.com/ad-publishing/google/integration ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Body Account identifier Ad account identifier MCC identifier ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/google/integration' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "locationId": "loc_abc123", "adAccountId": "123-456-7890", "mccId": "987-654-3210" }' ``` ```javascript Node.js theme={null} const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/google/integration', { method: 'POST', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"locationId": "loc_abc123", "adAccountId": "123-456-7890", "mccId": "987-654-3210"}), }); const data = await response.json(); ``` ```python Python theme={null} import os, requests response = requests.request( 'POST', 'https://services.leadconnectorhq.com/ad-publishing/google/integration', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"locationId": "loc_abc123", "adAccountId": "123-456-7890", "mccId": "987-654-3210"}, ) data = response.json() ``` ```php PHP theme={null} true, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'locationId': 'loc_abc123', 'adAccountId': '123-456-7890', 'mccId': '987-654-3210'}), ]); $data = json_decode(curl_exec($ch), true); ``` # Create offline user list job Source: https://developers.leadwaycrm.com/api-reference/ad-manager/ad-manager-google-create-offline-user-list-job Create a job to upload users to a Google customer match list Create a job to upload users to a Google customer match list ```http theme={null} POST https://services.leadconnectorhq.com/ad-publishing/google/segments/offline-user-list-job ``` ## Autorización Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication). Versión de la API. ## Body Account identifier Smart list IDs CSV file path User list identifier Dynamic list flag ## Respuestas ```json theme={null} {} ``` ```json theme={null} {} ``` ```json theme={null} {} ``` ## Ejemplo ```bash cURL theme={null} curl -X POST 'https://services.leadconnectorhq.com/ad-publishing/google/segments/offline-user-list-job' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: 
[...]
